4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.WhitespaceElements

Classes: PreserveSpaceElement, StripSpaceElement, WhitespaceElement |  |  |  | Globals: XSL_NAMESPACE

## Classes

class PreserveSpaceElement(WhitespaceElement)

  ### Methods inherited from class WhitespaceElement

  getWhitespaceInfo

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  __init__, __str__, appendChild, expandQName, insertChild, instantiate, parseAVT, parseExpression, parsePattern, processChildren, splitQName

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  idle, isLastChild, isPseudoNode, pprint, prime, setup

  ### Members inherited from class WhitespaceElement

  category, content, legalAttrs

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  validator

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  attributes, baseUri, children, columnNumber, doesIdle, doesPrime, doesSetup, expandedName, importIndex, lineNumber, nodeName, parent, root
class StripSpaceElement(WhitespaceElement)

  ### Methods inherited from class WhitespaceElement

  getWhitespaceInfo

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  __init__, __str__, appendChild, expandQName, insertChild, instantiate, parseAVT, parseExpression, parsePattern, processChildren, splitQName

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  idle, isLastChild, isPseudoNode, pprint, prime, setup

  ### Members inherited from class WhitespaceElement

  category, content, legalAttrs

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  validator

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  attributes, baseUri, children, columnNumber, doesIdle, doesPrime, doesSetup, expandedName, importIndex, lineNumber, nodeName, parent, root
class WhitespaceElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

  ### Methods

  getWhitespaceInfo(self)

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  __init__, __str__, appendChild, expandQName, insertChild, instantiate, parseAVT, parseExpression, parsePattern, processChildren, splitQName

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  idle, isLastChild, isPseudoNode, pprint, prime, setup

  ### Members

  category = 1
  content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
  legalAttrs = {'elements': <Ft.Xml.Xslt.AttributeInfo.Tokens instance>}

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  validator

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  attributes, baseUri, children, columnNumber, doesIdle, doesPrime, doesSetup, expandedName, importIndex, lineNumber, nodeName, parent, root

## Globals

XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'